package com.spiffymap.naviupdate.model;

import java.io.Serializable;
import java.nio.file.Path;

/**
 * 25-Jun-2017
 *
 * @author steve
 */
public abstract class BaseFileEntry extends Entry implements Serializable {

    private static final long serialVersionUID = -8327018090342443692L;

    public BaseFileEntry() {
        super();
    }

    public BaseFileEntry(String name, Object directory) {
        super(name, directory);
    }

    /**
     * Return the relative path of the file within the repository.
     *
     * @return path
     */
    @Override
    public Path getRelativePath() {
        return ((Directory) getParent()).getRelativePath().resolve(getName());
    }

    @Override
    public String getComparisonString() {
        return (((Directory) getParent()).getComparisonString() + "/" + getName()).toLowerCase();
    }
}
