package com.spiffymap.naviupdate.model;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @version 25-June-2017
 * @author steve
 */
public class FileDataEntry extends BaseFileEntry {

    private static final long serialVersionUID = 8087596792275993019L;

    private byte[] data;
    private byte[] hash;

    /**
     *
     * @param name
     * @param parent
     * @param data
     */
    public FileDataEntry(String name, Directory parent, byte[] data) {
        super(name, parent);
        this.data = data;
        calculateHash();
    }

    private void calculateHash() {
        try {
            hash = MessageDigest.getInstance("MD5").digest(data);
        } catch (NoSuchAlgorithmException nsae) {
            // Should never happen, so throw as a RuntimeException
            throw new RuntimeException(nsae);
        }
    }

    /**
     * @return the data
     */
    public byte[] getData() {
        return data;
    }

    /**
     * @return the hash
     */
    public byte[] getHash() {
        return hash;
    }
}
