package com.spiffymap.naviupdate.model;

import com.spiffymap.util.shared.ByteArrayUtils;
import java.io.Serializable;

/**
 * @version 27-May-2017
 * @author steve
 */
public class FileMetaDataEntry extends BaseFileEntry implements Serializable {

    private static final long serialVersionUID = -3063710591156098124L;

    private byte[] hash;
    private long size;

    public FileMetaDataEntry() {
        super();
    }

    /**
     *
     * @param name
     * @param parent
     * @param hash
     * @param size
     */
    public FileMetaDataEntry(String name, Directory parent, byte[] hash, long size) {
        super(name, parent);
        this.hash = hash;
        this.size = size;
    }

    /**
     *
     * @param name
     * @param parent
     * @param hashString
     * @param size
     */
    public FileMetaDataEntry(String name, Directory parent, String hashString, long size) {
        super(name, parent);
        setHashString(hashString);
        this.size = size;
    }

    @Override
    public String toString() {
        return "FileMetaDataEntry: " + getRelativePath();
    }

    @Override
    public int hashCode() {
        return getComparisonString().hashCode();
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final FileMetaDataEntry other = (FileMetaDataEntry) obj;
        return getComparisonString().equals(other.getComparisonString());
    }

    /**
     * @return the size
     */
    public long getSize() {
        return size;
    }

    /**
     * @return the hash
     */
    public byte[] getHash() {
        return hash;
    }

    public String getHashString() {
        return ByteArrayUtils.toHexString(hash);
    }

    public void setHashString(String hashString) {
        hash = ByteArrayUtils.fromHexString(hashString);
    }
}
