package com.spiffymap.naviupdate.model;

import java.util.Map;
import java.util.Set;
import java.util.function.Function;
import java.util.stream.Collectors;

/**
 *
 * @author steve
 */
public interface Named {

    public String getName();

    public static <T extends Named> Map<String, T> getMapByName(Set<T> items) {
        return items.stream().collect(Collectors.toMap(Named::getName, Function.identity()));
    }

}
