package com.spiffymap.naviupdate.model.audit;

import com.spiffymap.util.shared.date.DayTimeStamp;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author steve
 */
public class AuditRecord {

    private final String timestamp;
    private final String machineHash;
    private final Map<String, String> contents;

    public AuditRecord(DayTimeStamp timestamp, String machineHash, Map<String, String> contents) {
        this.timestamp = timestamp.toString();
        this.machineHash = machineHash;
        this.contents = contents;
    }

    public AuditRecord(DayTimeStamp timestamp, String machineHash) {
        this.timestamp = timestamp.toString();
        this.machineHash = machineHash;
        contents = new HashMap<>();
    }

    public void addItem(String key, String value) {
        contents.put(key, value);
    }

    /**
     * @return the timestamp
     */
    public String getTimestamp() {
        return timestamp;
    }

    /**
     * @return the machineHash
     */
    public String getMachineHash() {
        return machineHash;
    }

    /**
     * @return the contents
     */
    public Map<String, String> getContents() {
        return contents;
    }
}
